import pytest
import os, sys
from creader import RawFileReader
from fixtures import data_path
import numpy as np

def test_references_on_read(data_path):
    fname= data_path/'test_d0_f0_0.raw'
    r = RawFileReader(fname)
    frames = r.read(10)
    assert sys.getrefcount(frames) == 2 #Over counts by one due to call by reference